diff -r -U 5 old/doc/man/dput.cf.5 new/doc/man/dput.cf.5
--- old/doc/man/dput.cf.5	2024-07-18 02:08:29.000000000 -0400
+++ new/doc/man/dput.cf.5	2024-10-06 00:43:49.036304254 -0400
@@ -163,10 +163,14 @@
 .
 .TP
 .B sha
 The SHA-1 algorithm.
 .
+.TP
+.B sha256
+The SHA-256 algorithm.
+.
 .RE
 .
 .TP
 .BI "allow_unsigned_uploads = " FLAG
 If
diff -r -U 5 old/dput/dput.py new/dput/dput.py
--- old/dput/dput.py	2024-10-06 00:43:04.507900701 -0400
+++ new/dput/dput.py	2024-10-06 00:43:17.980022792 -0400
@@ -12,10 +12,11 @@
 import configparser
 import email.parser
 from hashlib import (
         md5,
         sha1,
+        sha256,
         )
 import importlib
 import os
 import os.path
 import pkgutil
@@ -177,10 +178,12 @@
         sys.stdout.write("Can't open {}\n".format(filename))
         sys.exit(1)
 
     if hash_name == 'md5':
         hash_type = md5
+    elif hash_name == 'sha256':
+        hash_type = sha256
     else:
         hash_type = sha1
 
     check_obj = hash_type()
 
@@ -382,10 +385,12 @@
         def file_spec_splitter(file_spec):
             (check_sum, size, section, priority, file_name) = file_spec.split()
             return (check_sum, size, file_name)
     elif hash_name == 'sha':
         checksum_section = 'checksums-sha1'
+    elif hash_name == 'sha256':
+        checksum_section = 'checksums-sha256'
     else:
         sys.stderr.write("Invalid hash name: {}\n".format(hash_name))
         sys.exit(1)
 
     file_list = changes[checksum_section].strip().split("\n")
